
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>netstat -anlt / 憋错料</title>

    <meta name="description" content="netstat -anlt 简介 Netstat 命令用于显示各种网络相关信息,如网络连接,路由表,接口状态 (Interface Statistics),masquerade 连接,多播成员 (Multicast Memberships) 等等. 输出信息含义 执行netstat后,其输出结果为 Active Internet connections (w/o servers)Proto Recv-Q Send-Q Local Address Foreign Address Statetcp 0 2 210.34.6.8">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">netstat -anlt</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExMjQzNTkvMjAxNzA1LzExMjQzNTktMjAxNzA1MjIxNzEwMjQxOTUtNjAxNDkxNzk2LnBuZw==.jpg"></p>
<h1><strong>简介</strong></h1>
<p>Netstat 命令用于显示各种网络相关信息，如网络连接，路由表，接口状态 (Interface Statistics)，masquerade 连接，多播成员 (Multicast Memberships) 等等。</p>
<h1><strong>输出信息含义</strong></h1>
<p>执行netstat后，其输出结果为</p>
<p></p>
<pre>Active Internet connections (w/o servers)Proto Recv-Q Send-Q Local Address Foreign Address Statetcp 0 2 210.34.6.89:telnet 210.34.6.96:2873 ESTABLISHEDtcp 296 0 210.34.6.89:1165 210.34.6.84:netbios-ssn ESTABLISHEDtcp 0 0 localhost.localdom:9001 localhost.localdom:1162 ESTABLISHEDtcp 0 0 localhost.localdom:1162 localhost.localdom:9001 ESTABLISHEDtcp 0 80 210.34.6.89:1161 210.34.6.10:netbios-ssn CLOSE

Active UNIX domain sockets (w/o servers)Proto RefCnt Flags Type State I-Node Pathunix 1 [ ] STREAM CONNECTED 16178 @000000ddunix 1 [ ] STREAM CONNECTED 16176 @000000dcunix 9 [ ] DGRAM 5292 /dev/logunix 1 [ ] STREAM CONNECTED 16182 @000000df</pre>
<p></p>
<p>从整体上看，netstat的输出结果可以分为两个部分：</p>
<p>一个是Active Internet connections，称为有源TCP连接，其中"Recv-Q"和"Send-Q"指%0A的是接收队列和发送队列。这些数字一般都应该是0。如果不是则表示软件包正在队列中堆积。这种情况只能在非常少的情况见到。</p>
<p>另一个是Active UNIX domain sockets，称为有源Unix域套接口(和网络套接字一样，但是只能用于本机通信，性能可以提高一倍)。<br />Proto显示连接使用的协议,RefCnt表示连接到本套接口上的进程号,Types显示套接口的类型,State显示套接口当前的状态,Path表示连接到套接口的其它进程使用的路径名。</p>
<h1><strong>常见参数</strong></h1>
<p>-a (all)显示所有选项，默认不显示LISTEN相关<br />-t (tcp)仅显示tcp相关选项<br />-u (udp)仅显示udp相关选项<br />-n 拒绝显示别名，能显示数字的全部转化成数字。<br />-l 仅列出有在 Listen (监听) 的服務状态</p>
<p>-p 显示建立相关链接的程序名<br />-r 显示路由信息，路由表<br />-e 显示扩展信息，例如uid等<br />-s 按各个协议进行统计<br />-c 每隔一个固定时间，执行该netstat命令。</p>
<p>提示：LISTEN和LISTENING的状态只有用-a或者-l才能看到</p>
<h1><strong>实用命令实例</strong></h1>
<h2><strong>&nbsp;</strong></h2>
<h2><strong>1. 列出所有端口 (包括监听和未监听的)</strong></h2>
<p><strong>&nbsp; 列出所有端口 netstat -a</strong></p>
<p></p>
<pre># netstat -a | more Active Internet connections (servers and established) Proto Recv-Q Send-Q Local Address           Foreign Address         State tcp        0      0 localhost:30037         *:*                     LISTEN udp        0      0 *:bootpc                *:*

Active UNIX domain sockets (servers and established) Proto RefCnt Flags       Type       State         I-Node   Path unix  2      [ ACC ]     STREAM     LISTENING     6135     /tmp/.X11-unix/X0 unix  2      [ ACC ]     STREAM     LISTENING     5140     /var/run/acpid.socket</pre>
<p></p>
<p><strong>&nbsp; 列出所有 tcp 端口 netstat -at</strong></p>
<p></p>
<pre># netstat -at Active Internet connections (servers and established) Proto Recv-Q Send-Q Local Address           Foreign Address         State tcp        0      0 localhost:30037         *:*                     LISTEN tcp        0      0 localhost:ipp           *:*                     LISTEN tcp        0      0 *:smtp                  *:*                     LISTEN tcp6       0      0 localhost:ipp           [::]:*                  LISTEN</pre>
<p></p>
<p><strong>&nbsp; 列出所有 udp 端口 netstat -au</strong></p>
<pre># netstat -au Active Internet connections (servers and established) Proto Recv-Q Send-Q Local Address           Foreign Address         State udp        0      0 *:bootpc                *:* udp        0      0 *:49119                 *:* udp        0      0 *:mdns                  *:*</pre>
<h2><strong>&nbsp;</strong></h2>
<h2><strong>2. 列出所有处于监听状态的 Sockets</strong></h2>
<p><strong>&nbsp; 只显示监听端口 netstat -l</strong></p>
<pre># netstat -l Active Internet connections (only servers) Proto Recv-Q Send-Q Local Address           Foreign Address         State tcp        0      0 localhost:ipp           *:*                     LISTEN tcp6       0      0 localhost:ipp           [::]:*                  LISTEN udp        0      0 *:49119                 *:*</pre>
<p><strong>&nbsp; 只列出所有监听 tcp 端口 netstat -lt</strong></p>
<pre># netstat -lt Active Internet connections (only servers) Proto Recv-Q Send-Q Local Address           Foreign Address         State tcp        0      0 localhost:30037         *:*                     LISTEN tcp        0      0 *:smtp                  *:*                     LISTEN tcp6       0      0 localhost:ipp           [::]:*                  LISTEN</pre>
<p><strong>&nbsp; 只列出所有监听 udp 端口 netstat -lu</strong></p>
<pre># netstat -lu Active Internet connections (only servers) Proto Recv-Q Send-Q Local Address           Foreign Address         State udp        0      0 *:49119                 *:* udp        0      0 *:mdns                  *:*</pre>
<p><strong>&nbsp; 只列出所有监听 UNIX 端口 netstat -lx</strong></p>
<p></p>
<pre># netstat -lx Active UNIX domain sockets (only servers) Proto RefCnt Flags       Type       State         I-Node   Path unix  2      [ ACC ]     STREAM     LISTENING     6294     private/maildrop unix  2      [ ACC ]     STREAM     LISTENING     6203     public/cleanup unix  2      [ ACC ]     STREAM     LISTENING     6302     private/ifmail unix  2      [ ACC ]     STREAM     LISTENING     6306     private/bsmtp</pre>
<p></p>
<pre>
</pre>
<h2><strong>3. 显示每个协议的统计信息</strong></h2>
<p><strong>&nbsp; 显示所有端口的统计信息 netstat -s</strong></p>
<p></p>
<pre># netstat -s Ip: 11150 total packets received 1 with invalid addresses 0 forwarded 0 incoming packets discarded 11149 incoming packets delivered 11635 requests sent out Icmp: 0 ICMP messages received 0 input ICMP message failed. Tcp: 582 active connections openings 2 failed connection attempts 25 connection resets received Udp: 1183 packets received 4 packets to unknown port received. .....</pre>
<p></p>
<p><strong>&nbsp; 显示 TCP 或 UDP 端口的统计信息 netstat -st 或 -su</strong></p>
<pre># netstat -st # netstat -su</pre>
<h2><strong>4. 在 netstat 输出中显示 PID 和进程名称 netstat -p</strong></h2>
<p>netstat -p 可以与其它开关一起使用，就可以添加 “PID/进程名称” 到 netstat 输出中，这样 debugging 的时候可以很方便的发现特定端口运行的程序。</p>
<pre># netstat -pt Active Internet connections (w/o servers) Proto Recv-Q Send-Q Local Address           Foreign Address         State       PID/Program name tcp        1      0 ramesh-laptop.loc:47212 192.168.185.75:www        CLOSE_WAIT  2109/firefox tcp        0      0 ramesh-laptop.loc:52750 lax:www ESTABLISHED 2109/firefox</pre>

<pre></pre>
<h2><strong>5. 在 netstat 输出中不显示主机，端口和用户名 (host, port or user)</strong></h2>
<p>当你不想让主机，端口和用户名显示，使用 netstat -n。将会使用数字代替那些名称。</p>
<p>同样可以加速输出，因为不用进行比对查询。</p>
<pre># netstat -an</pre>
<p>如果只是不想让这三个名称中的一个被显示，使用以下命令</p>
<pre># netsat -a --numeric-ports# netsat -a --numeric-hosts# netsat -a --numeric-users</pre>
<h2><strong>6. 持续输出 netstat 信息</strong></h2>
<p>netstat 将每隔一秒输出网络信息。</p>
<p></p>
<pre># netstat -c Active Internet connections (w/o servers) Proto Recv-Q Send-Q Local Address           Foreign Address         State tcp        0      0 ramesh-laptop.loc:36130 101-101-181-225.ama:www ESTABLISHED tcp        1      1 ramesh-laptop.loc:52564 101.11.169.230:www      CLOSING tcp        0      0 ramesh-laptop.loc:43758 server-101-101-43-2:www ESTABLISHED tcp        1      1 ramesh-laptop.loc:42367 101.101.34.101:www      CLOSING ^C</pre>
<p></p>
<h2><strong>7. 显示系统不支持的地址族 (Address Families)</strong></h2>
<pre>netstat --verbose</pre>
<p>在输出的末尾，会有如下的信息</p>
<pre>netstat: no support for `AF IPX‘ on this system.netstat: no support for `AF AX25‘ on this system.netstat: no support for `AF X25‘ on this system.netstat: no support for `AF NETROM‘ on this system.</pre>
<h2><strong>8. 显示核心路由信息 netstat -r</strong></h2>
<pre># netstat -r Kernel IP routing table Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface 192.168.1.0     *               255.255.255.0   U         0 0          0 eth2 link-local      *               255.255.0.0     U         0 0          0 eth2 default         192.168.1.1     0.0.0.0         UG        0 0          0 eth2</pre>
<p><strong>注意：</strong>&nbsp;使用 netstat -rn 显示数字格式，不查询主机名称。</p>
<h2><strong>9. 找出程序运行的端口</strong></h2>
<p>并不是所有的进程都能找到，没有权限的会不显示，使用 root 权限查看所有的信息。</p>
<pre># netstat -ap | grep ssh tcp        1      0 dev-db:ssh           101.174.100.22:39213        CLOSE_WAIT  - tcp        1      0 dev-db:ssh           101.174.100.22:57643        CLOSE_WAIT  -</pre>
<p><strong>&nbsp; 找出运行在指定端口的进程</strong></p>
<pre># netstat -an | grep ‘:80‘</pre>
<h2><strong>10. 显示网络接口列表</strong></h2>
<pre># netstat -i Kernel Interface table Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg eth0       1500 0         0      0      0 0             0      0      0      0 BMU eth2       1500 0     26196      0      0 0         26883      6      0      0 BMRU lo        16436 0         4      0      0 0             4      0      0      0 LRU</pre>
<p>显示详细信息，像是 ifconfig 使用 netstat -ie:</p>
<p></p>
<pre># netstat -ie Kernel Interface table eth0      Link encap:Ethernet  HWaddr 00:10:40:11:11:11 UP BROADCAST MULTICAST  MTU:1500  Metric:1 RX packets:0 errors:0 dropped:0 overruns:0 frame:0 TX packets:0 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:1000 RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B) Memory:f6ae0000-f6b00000</pre>
<p></p>
<pre></pre>
<h2><strong>&nbsp;</strong></h2>
<h2><strong>11. IP和TCP分析</strong></h2>
<p><strong>&nbsp; 查看连接某服务端口最多的的IP地址</strong></p>
<p></p>
<pre>[email&#160;protected]:~$ netstat -nat | grep "192.168.1.15:22" |awk ‘{print $5}‘|awk -F: ‘{print $1}‘|sort|uniq -c|sort -nr|head -2018 221.136.168.363 154.74.45.2422 78.173.31.2362 62.183.207.982 192.168.1.142 182.48.111.2152 124.193.219.342 119.145.41.22 114.255.41.301 75.102.11.99</pre>
<p></p>
<p><strong>&nbsp; TCP各种状态列表</strong></p>
<p></p>
<pre>[email&#160;protected]:~$ netstat -nat |awk ‘{print $6}‘established)ForeignLISTENTIME_WAITESTABLISHEDTIME_WAITSYN_SENT</pre>
<p></p>
<pre>  先把状态全都取出来,然后使用uniq -c统计，之后再进行排序。</pre>
<p></p>
<pre>[email&#160;protected]:~$ netstat -nat |awk ‘{print $6}‘|sort|uniq -c143 ESTABLISHED1 FIN_WAIT11 Foreign1 LAST_ACK36 LISTEN6 SYN_SENT113 TIME_WAIT1 established)</pre>
<p></p>
<pre>  最后的命令如下:</pre>

<pre>netstat -nat |awk ‘{print $6}‘|sort|uniq -c|sort -rn</pre>

<pre><strong>分析access.log获得访问前10位的ip地址</strong></pre>

<pre>awk ‘{print $1}‘ access.log |sort|uniq -c|sort -nr|head -10</pre>

<pre></pre>
<p>参考资料:<a href="http://blog.maxiang.net/10-netstat-command-examples/139/" rel="external nofollow noreferrer">http://blog.maxiang.net/10-netstat-command-examples/139/</a></p>
<p><a href="http://www.ipcpu.com/2011/07/netstat-linux/" rel="external nofollow noreferrer">http://www.ipcpu.com/2011/07/netstat-linux/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 19:07:24 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/active/" title="active">active</a>, <a href="https://www.biecuoliao.com/tag/log/" title="log">log</a>, <a href="https://www.biecuoliao.com/tag/copy/" title="copy">copy</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/val/" title="val">val</a>, <a href="https://www.biecuoliao.com/tag/amp/" title="amp">amp</a>, <a href="https://www.biecuoliao.com/tag/pack/" title="pack">pack</a>, <a href="https://www.biecuoliao.com/tag/udp/" title="udp">udp</a>, <a href="https://www.biecuoliao.com/tag/smtp/" title="smtp">smtp</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>netstat -anlt的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aAbRg0.html" rel="bookmark">git&lpar;学习之四&rpar;git协议服务器搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				####################################################################################################### qq:1218761836 qq群:150181442 E-mail:[email protected] #############################################################################################			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kZnpbM.html" rel="bookmark">Cassandra 2&period;x 提示&OpenCurlyDoubleQuote;错误&colon; 代理抛出异常错误&colon; java&period;lang&period;NullPointerException&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个问题多半是由于运行了多个Cassandra实例造成的错误,看cassandra的启动脚本中可发现这样的语句: # see CASSANDRA-7254 &quot;$JAVA&quot; -cp $CLASSPATH $JVM_OPTS 2&gt;&amp;1 | grep -q 'Error: Exception thrown by the agent : java.lang.NullPointerException' if [ $? -ne &quot;1&quot; ]; then echo U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD8ANKM.html" rel="bookmark">Ubuntu下部署GitLab-&mdash;&mdash;基于14&period;04系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搭建GitLab的目的: 方便公司开发管理代码 GitLab实现的功能: 1.关闭了gitlab的注册功能 2.修改了默认端口 3.汉化 0.前期准备 # 环境 Ubuntu 14.04 [email protected]:~# apt-get install openssh-server [email protected]:~# apt-get install openssh-client [email protected]:~# apt-get install git 1.安装 [email			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzB7XdM.html" rel="bookmark">Linux watch 监控系统状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.linux下watch命令的基本用法 # watch --helpUsage: watch [-dhntv] [--differences[=cumulative]] [--help] [--interval=&lt;n&gt;] [--no-title] [--version] &lt;command&gt; -d, --differences[=cumulative] highlight changes between updates (cumulative means highlighting			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPBbqP3.html" rel="bookmark">MySQL双机热备部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				卸载系统自带的版本. 这里以MySQL-5.5.28-1为版本 为了简单,RPM方式安装: rpm -ivh MySQL-server-5.5.28-1.linux2.6.x86_64.rpm rpm -ivh MySQL-client-5.5.28-1.linux2.6.x86_64.rpm #mysql mysql&gt;update mysql.user set password=&quot;chengshan&quot; where user=&quot;root&quot;; // mysql&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/949oW0D.html" rel="bookmark">linux常用命令--netstat</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 Netstat 命令用于显示各种网络相关信息,如网络连接,路由表,接口状态 (Interface Statistics),masquerade 连接等等. 常用参数 -a (all)显示所有选项,提示:LISTEN和LISTENING的状态只有用-a或者-l才能看到-t (tcp)仅显示tcp相关选项-u (udp)仅显示udp相关选项-n 拒绝显示别名,能显示数字的全部转化成数字.-l 仅列出有在 Listen (监听) 的服務状态 -p 显示建立相关链接的程序名-r 显示路由信息,路由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/L3rDqMl.html" rel="bookmark">netstat状态详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.生产服务器netstat tcp连接状态................................................................................ 2 1.1生产服务器某个业务LVS负载均衡上连接状态数量............................................... 2 1.2生产服务器某个业务web上连接状态数量...............................................			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lLp0d.html" rel="bookmark">netstat状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Netstat 状态分析 Netstat状态分类 用netstat -an命令查看!再stat下面有一些英文,简单说一下这些英文具体都代表什么: LISTEN:(Listening for a connection.)侦听来自远方的TCP端口的连接请求 SYN-SENT:(Active; sent SYN. Waiting for a matching connection request after having sent a connection request.)再发送连接请求后等待匹配的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MVwEQ0.html" rel="bookmark">linux下netstat --timers &sol; -o详解及keepalive相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在linux查看网络连接数或者网络状态,我一般用netstat或者lsof这两种,netstat的话有个时间计时功能,里面涉及到不少tcp/ip协议的知识,今天就来说一说我理解的netstat计时功能. netstat -altpno 或者 netstat -altpn --timers,看显示结果: Proto Recv-Q Send-Q Local Address    Foreign Address   State  PID/Program name  Timer 可以看到显示的标题,多出			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3w89j4.html" rel="bookmark" class="title">作业六</a>
					<div>
						本周作业内容: 1.详细描述一次加密通讯的过程,结合图示最佳. 2.描述创建私有CA的过程,以及为客户端发来的证书请求进行办法证书. 3.搭建一套DNS服务器,负责解析magedu.com域名(自行设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBpZY3.html" rel="bookmark" class="title">Git基本操作&lpar;win7下&rpar;</a>
					<div>
						在项目目录下打开Git Bash 1.配置身份命令: git config --global user.name &quot;Tendoasan&quot; git config --global u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGmyQ3.html" rel="bookmark" class="title">&lbrack;PHP&rsqb;误读支付宝接口可能引发的乌龙</a>
					<div>
						------------------------------------------------------------------------------------ 之所以发现这个坑,源起项目中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5eyp3.html" rel="bookmark" class="title">hibernate级联保存，更新个人遇到的问题</a>
					<div>
						在级联更新的时候,数据库中的数据是增加的,只是外键不存在,导致这样的问题产生的原因是,字表主键ID没有添加到集合中,导致Hibernate找不到子项而执行更新. hibernate级联保存,更新个人遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nzab24.html" rel="bookmark" class="title">上架app 到app store 的出现： &OpenCurlyDoubleQuote;The IPA is  invalid&period; It does not inlude a Payload directory&period;&rdquo;错误处理</a>
					<div>
						今天打包上传app到app store上遇到的一个错误,在xcode6.2下提示: The IPA is  invalid. It does not inlude a Payload director ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWAGKb3.html" rel="bookmark" class="title">2017&period;4&period;20实验一：通过cin输入三个整数、一个实数，按不同的输出形式输出他们的值，并设置相应的场宽。</a>
					<div>
						#include&lt;iostream&gt;#include&lt;iomanip&gt;using namespace std;void invert2(int x){ int num,flag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBR2xAM.html" rel="bookmark" class="title">LAMP搭建随记</a>
					<div>
						在编译php的时候需要注意, --with-apxs2=/usr/local/apache/bin/apxs 和 -enable-fpm 一个是作为模块用,一个是当做fpm用,两个不可以同时编译. h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORKDo0.html" rel="bookmark" class="title">ios-（1）什么是ios</a>
					<div>
						* ios是一款由苹果公司开发的操作系统(os是Operating Systen的简称),就像平时在电脑上用的Window XP.Window 7.都是操作系统. * 那什么是操作系统呢?操作系统其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aOZRk4.html" rel="bookmark" class="title">nginx集群配置</a>
					<div>
						作者:夕阳小子 时间:2017-5-1 优化思路: Nginx层面: 解决: nginx.conf 下面: work_connection 加大 worker_connections 10240; W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGay7Z3.html" rel="bookmark" class="title">MVC中用jQuery加BootStrap实现动态增加删除文本输入框！</a>
					<div>
						http://www.freejs.net/article_biaodan_278.html 这是在网上找到方法,我修改了一下实合我的项目,发博只为收藏记录并加深记忆. 修改后效果如下 @model  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5v9j0.html" rel="bookmark" class="title">Ubuntu配置Android编译环境</a>
					<div>
						1.Ubuntu安装 VMware安装ubuntu之后,安装Vmware tools: 1.安装完ubuntu后,VMware Workstation菜单:虚拟机--&gt;安装 Vmware Too ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zwEkM.html" rel="bookmark" class="title">javac文件系统</a>
					<div>
						Java中处理最多的就是.class与.java结尾的文件,这些文件都以对象来表示并且需要专门进行管理,其文件对象的继承体系如下:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGdvPG0.html" rel="bookmark" class="title">SQL 查询顾客买了A和B，但是没有买C</a>
					<div>
						看到的,觉得很有用记录下来 原文出处 问题描述很简单,就是查询购买了产品A和B但是没有购买产品C的顾客 测试数据 --===== Conditionally drop the test table t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXldvbM.html" rel="bookmark" class="title">JavaMail入门第三篇 发送邮件</a>
					<div>
						JavaMail API中定义了一个java.mail.Transport类,它专门用于执行邮件发送任务,这个类的实例对象封装了某种邮件发送协议的底层实施细节,应用程序调用这个类中的方法就可以把Mes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRqwE3.html" rel="bookmark" class="title">The method getDispatcherType&lpar;&rpar; is undefined for the type HttpServletRequest 升级到tomcat8&lpar;转&rpar;</a>
					<div>
						配置项目,从tomcat低版本,放到tomcat8时,正常的项目居然报错了: The method getDispatcherType() is undefined for the type Http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47zXdx3.html" rel="bookmark" class="title">Swift函数与闭包</a>
					<div>
						1.Swfit语法中使用func关键字来申明函数 func sayHi(){ println(&quot;Hi !&quot;) } 结果显示:Hi ! 2.带参数和返回值函数,参数为String,返 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPdbj3.html" rel="bookmark" class="title">mac&plus;apue</a>
					<div>
						直接从apuebook的网站下载源码,无法编译通过 通过查看以下博客解决这个问题 http://cocoa.venj.me/blog/compile-apue-example-code-under-l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgALP3.html" rel="bookmark" class="title">web开发中常用的js</a>
					<div>
						将自己在web开发中经常用到的一些JS总结一下. 1.修改标签和表单的值 修改标签的值: var customer = document.getElementById(&quot;custm&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49O1Bn0.html" rel="bookmark" class="title">【javascript 进阶】异步调用</a>
					<div>
						前言 javascript的中的异步是很重要的概念,特别是ajax的提出,给整个web带来了很大的影响,今天就介绍下javascript的异步编程. 同步与异步 何为同步?何为异步呢? 同步:说白了就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWld760.html" rel="bookmark" class="title">数据集偏斜 - class skew problem - 以SVM松弛变量为例</a>
					<div>
						原文 接下来要说的东西其实不是松弛变量本身,但由于是为了使用松弛变量才引入的,因此放在这里也算合适,那就是惩罚因子C.回头看一眼引入了松弛变量以后的优化问题: 注意其中C的位置,也可以回想一下C所起的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
